Documentation Index

Fetch the complete documentation index at: https://docs.britive.com/llms.txt

Use this file to discover all available pages before exploring further.

Britive platform release 2026.07.01 is now live in production.

Documentation is reorganized in Administrators, Users, and Developers sections.

Get a list of active sessions for a specific user

Prev Next
Get
/api/paps/sessions/{id}

Returns the active sessions (sessions in any state other than checked in or checkout failed) of the specified user. Supported filter attributes are profileName, appName, environmentName, environmentId, accessType (values CONSOLE, PROGRAMMATIC) and appType; the in operator is supported for appName and appType only. If searchText is provided, it takes precedence over filter and is applied as profileName co <searchText>.

Security
HTTP
Type bearer
Path parameters
id
stringRequired

The ID of the user whose active sessions are returned

Query parameters
filter
string
searchText
string
page
integer

Parameter to specify the page number of the records to retrieve

Default0
size
integer

parameter to specify the number of records to retrieve per page

Default20
sort
string

parameter to specify the sort parameter and direction

Responses
200

OK

Expand All
object
count
integer (int64)
page
integer (int32)
size
integer (int32)
sort
string
filter
string
data
Array of object (AppAccessStatusInfo)
object
papId
string
profileName
string
description
string
transactionId
string
status
string
Valid values[ "checkedOut", "checkedIn", "checkedInExpired", "checkOutSubmitted", "checkOutInProgress", "checkOutFailed", "checkInSubmitted", "checkInInProgress", "checkInFailed", "checkOutTimeOut", "checkInTimeOut" ]
checkedOut
string (date-time)
expiration
string (date-time)
environmentId
string
environmentName
string
accessType
string
Valid values[ "CLI", "CONSOLE", "PROGRAMMATIC", "DEVICE" ]
appContainerId
string
appName
string
appType
string
400

Invalid filter criteria